class HotRankingTabBarModel {
  String indicatorColor;
  List<TabList> tabList;

  HotRankingTabBarModel({this.indicatorColor, this.tabList});

  HotRankingTabBarModel.fromJson(Map<String, dynamic> json) {
    indicatorColor = json['indicator_color'];
    if (json['tab_list'] != null) {
      tabList = new List<TabList>();
      json['tab_list'].forEach((v) {
        tabList.add(new TabList.fromJson(v));
      });
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['indicator_color'] = this.indicatorColor;
    if (this.tabList != null) {
      data['tab_list'] = this.tabList.map((v) => v.toJson()).toList();
    }
    return data;
  }
}

class TabList {
  String name;
  String nameSelectColor;
  String nameNoSelectColor;
  String typeId;

  TabList(
      {this.name, this.nameSelectColor, this.nameNoSelectColor, this.typeId});

  TabList.fromJson(Map<String, dynamic> json) {
    name = json['name'];
    nameSelectColor = json['name_select_color'];
    nameNoSelectColor = json['name_no_select_color'];
    typeId = json['type_id'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['name'] = this.name;
    data['name_select_color'] = this.nameSelectColor;
    data['name_no_select_color'] = this.nameNoSelectColor;
    data['type_id'] = this.typeId;
    return data;
  }
}
